## com.saxonica.schema
Interface SerializableSchemaComponent

All Known Implementing Classes:
  Assertion, AttributeDecl, AttributeGroupDecl, ElementDecl, IdentityConstraint, Key, KeyRef, ModelGroupDefinition, Notation, SimpleTypeDefinition, Unique, UserAtomicType, UserComplexType, UserListType, UserSimpleType, UserUnionType, Wildcard

    public interface SerializableSchemaComponent

A component that can be serialized by the SchemaSerializer. Most such components are instances of UserSchemaComponent, but a few, for example Facets, are not.

Method Summary
`void` `serialize(SchemaModelSerializer serializer)` Serialize the schema component

Method Detail

### serialize

    void serialize(SchemaModelSerializer serializer)
                   throws XPathException

  Serialize the schema component

  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.